html, body {
  height: 100%;
}

body {
  background: url(https://i.pinimg.com/originals/44/6e/3b/446e3b79395a287ca32f7977dd83b290.jpg);
  background-size: cover;
}

.firefly {
  position: fixed;
  left: 50%;
  top: 50%;
  width: 0.4vw;
  height: 0.4vw;
  margin: -0.2vw 0 0 9.8vw;
  animation: ease 200s alternate infinite;
  pointer-events: none;
}
.firefly::before, .firefly::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  transform-origin: -10vw;
}
.firefly::before {
  background: black;
  opacity: 0.4;
  animation: drift ease alternate infinite;
}
.firefly::after {
  background: white;
  opacity: 0;
  box-shadow: 0 0 0vw 0vw yellow;
  animation: drift ease alternate infinite, flash ease infinite;
}

.firefly:nth-child(1) {
  animation-name: move1;
}
.firefly:nth-child(1)::before {
  animation-duration: 15s;
}
.firefly:nth-child(1)::after {
  animation-duration: 15s, 6080ms;
  animation-delay: 0ms, 6277ms;
}

@keyframes move1 {
  0% {
    transform: translateX(49vw) translateY(-20vh) scale(0.46);
  }
  4.347826087% {
    transform: translateX(6vw) translateY(-9vh) scale(0.54);
  }
  8.6956521739% {
    transform: translateX(-28vw) translateY(-15vh) scale(0.87);
  }
  13.0434782609% {
    transform: translateX(26vw) translateY(44vh) scale(0.99);
  }
  17.3913043478% {
    transform: translateX(-2vw) translateY(-5vh) scale(0.95);
  }
  21.7391304348% {
    transform: translateX(2vw) translateY(-15vh) scale(0.81);
  }
  26.0869565217% {
    transform: translateX(15vw) translateY(16vh) scale(0.3);
  }
  30.4347826087% {
    transform: translateX(43vw) translateY(-39vh) scale(0.48);
  }
  34.7826086957% {
    transform: translateX(-11vw) translateY(22vh) scale(0.65);
  }
  39.1304347826% {
    transform: translateX(-6vw) translateY(-1vh) scale(0.34);
  }
  43.4782608696% {
    transform: translateX(-27vw) translateY(-33vh) scale(0.69);
  }
  47.8260869565% {
    transform: translateX(-31vw) translateY(1vh) scale(0.95);
  }
  52.1739130435% {
    transform: translateX(-6vw) translateY(-24vh) scale(0.9);
  }
  56.5217391304% {
    transform: translateX(-29vw) translateY(37vh) scale(0.96);
  }
  60.8695652174% {
    transform: translateX(31vw) translateY(-5vh) scale(0.63);
  }
  65.2173913043% {
    transform: translateX(35vw) translateY(11vh) scale(0.72);
  }
  69.5652173913% {
    transform: translateX(17vw) translateY(22vh) scale(0.7);
  }
  73.9130434783% {
    transform: translateX(8vw) translateY(22vh) scale(0.88);
  }
  78.2608695652% {
    transform: translateX(-38vw) translateY(11vh) scale(0.82);
  }
  82.6086956522% {
    transform: translateX(39vw) translateY(22vh) scale(0.55);
  }
  86.9565217391% {
    transform: translateX(-24vw) translateY(44vh) scale(0.36);
  }
  91.3043478261% {
    transform: translateX(38vw) translateY(-32vh) scale(0.56);
  }
  95.652173913% {
    transform: translateX(10vw) translateY(12vh) scale(0.47);
  }
  100% {
    transform: translateX(11vw) translateY(22vh) scale(0.35);
  }
}
.firefly:nth-child(2) {
  animation-name: move2;
}
.firefly:nth-child(2)::before {
  animation-duration: 17s;
}
.firefly:nth-child(2)::after {
  animation-duration: 17s, 7961ms;
  animation-delay: 0ms, 5714ms;
}

@keyframes move2 {
  0% {
    transform: translateX(10vw) translateY(21vh) scale(0.81);
  }
  5.8823529412% {
    transform: translateX(3vw) translateY(48vh) scale(0.54);
  }
  11.7647058824% {
    transform: translateX(-29vw) translateY(-40vh) scale(0.88);
  }
  17.6470588235% {
    transform: translateX(-14vw) translateY(-5vh) scale(0.55);
  }
  23.5294117647% {
    transform: translateX(12vw) translateY(32vh) scale(0.9);
  }
  29.4117647059% {
    transform: translateX(-46vw) translateY(-36vh) scale(0.37);
  }
  35.2941176471% {
    transform: translateX(-24vw) translateY(21vh) scale(0.8);
  }
  41.1764705882% {
    transform: translateX(24vw) translateY(20vh) scale(0.58);
  }
  47.0588235294% {
    transform: translateX(26vw) translateY(-7vh) scale(0.9);
  }
  52.9411764706% {
    transform: translateX(27vw) translateY(43vh) scale(0.57);
  }
  58.8235294118% {
    transform: translateX(42vw) translateY(-30vh) scale(0.5);
  }
  64.7058823529% {
    transform: translateX(-21vw) translateY(-15vh) scale(0.41);
  }
  70.5882352941% {
    transform: translateX(-29vw) translateY(-2vh) scale(0.8);
  }
  76.4705882353% {
    transform: translateX(-44vw) translateY(26vh) scale(0.98);
  }
  82.3529411765% {
    transform: translateX(48vw) translateY(19vh) scale(0.9);
  }
  88.2352941176% {
    transform: translateX(13vw) translateY(-2vh) scale(0.93);
  }
  94.1176470588% {
    transform: translateX(5vw) translateY(48vh) scale(0.58);
  }
  100% {
    transform: translateX(-11vw) translateY(41vh) scale(0.71);
  }
}
.firefly:nth-child(3) {
  animation-name: move3;
}
.firefly:nth-child(3)::before {
  animation-duration: 12s;
}
.firefly:nth-child(3)::after {
  animation-duration: 12s, 6233ms;
  animation-delay: 0ms, 3066ms;
}

@keyframes move3 {
  0% {
    transform: translateX(16vw) translateY(-24vh) scale(0.41);
  }
  3.5714285714% {
    transform: translateX(-2vw) translateY(-38vh) scale(0.39);
  }
  7.1428571429% {
    transform: translateX(9vw) translateY(20vh) scale(0.44);
  }
  10.7142857143% {
    transform: translateX(43vw) translateY(34vh) scale(0.65);
  }
  14.2857142857% {
    transform: translateX(7vw) translateY(-24vh) scale(0.73);
  }
  17.8571428571% {
    transform: translateX(-42vw) translateY(-13vh) scale(0.75);
  }
  21.4285714286% {
    transform: translateX(23vw) translateY(38vh) scale(0.56);
  }
  25% {
    transform: translateX(-24vw) translateY(34vh) scale(0.99);
  }
  28.5714285714% {
    transform: translateX(9vw) translateY(43vh) scale(0.58);
  }
  32.1428571429% {
    transform: translateX(28vw) translateY(18vh) scale(0.82);
  }
  35.7142857143% {
    transform: translateX(17vw) translateY(-2vh) scale(0.99);
  }
  39.2857142857% {
    transform: translateX(-1vw) translateY(-17vh) scale(0.36);
  }
  42.8571428571% {
    transform: translateX(-13vw) translateY(-7vh) scale(0.56);
  }
  46.4285714286% {
    transform: translateX(5vw) translateY(18vh) scale(0.46);
  }
  50% {
    transform: translateX(-23vw) translateY(-15vh) scale(0.69);
  }
  53.5714285714% {
    transform: translateX(-3vw) translateY(-48vh) scale(0.4);
  }
  57.1428571429% {
    transform: translateX(6vw) translateY(40vh) scale(0.33);
  }
  60.7142857143% {
    transform: translateX(31vw) translateY(24vh) scale(0.89);
  }
  64.2857142857% {
    transform: translateX(27vw) translateY(14vh) scale(0.41);
  }
  67.8571428571% {
    transform: translateX(-11vw) translateY(-48vh) scale(0.79);
  }
  71.4285714286% {
    transform: translateX(21vw) translateY(-41vh) scale(0.97);
  }
  75% {
    transform: translateX(1vw) translateY(-12vh) scale(0.53);
  }
  78.5714285714% {
    transform: translateX(31vw) translateY(33vh) scale(0.31);
  }
  82.1428571429% {
    transform: translateX(25vw) translateY(-3vh) scale(0.37);
  }
  85.7142857143% {
    transform: translateX(15vw) translateY(25vh) scale(0.64);
  }
  89.2857142857% {
    transform: translateX(-22vw) translateY(24vh) scale(0.33);
  }
  92.8571428571% {
    transform: translateX(-16vw) translateY(-5vh) scale(0.88);
  }
  96.4285714286% {
    transform: translateX(-49vw) translateY(0vh) scale(0.78);
  }
  100% {
    transform: translateX(47vw) translateY(-41vh) scale(0.34);
  }
}
.firefly:nth-child(4) {
  animation-name: move4;
}
.firefly:nth-child(4)::before {
  animation-duration: 12s;
}
.firefly:nth-child(4)::after {
  animation-duration: 12s, 8776ms;
  animation-delay: 0ms, 4325ms;
}

@keyframes move4 {
  0% {
    transform: translateX(-36vw) translateY(-25vh) scale(0.99);
  }
  3.8461538462% {
    transform: translateX(-18vw) translateY(-16vh) scale(0.62);
  }
  7.6923076923% {
    transform: translateX(7vw) translateY(40vh) scale(0.35);
  }
  11.5384615385% {
    transform: translateX(12vw) translateY(-35vh) scale(0.94);
  }
  15.3846153846% {
    transform: translateX(-16vw) translateY(-17vh) scale(0.56);
  }
  19.2307692308% {
    transform: translateX(-3vw) translateY(-40vh) scale(0.56);
  }
  23.0769230769% {
    transform: translateX(-32vw) translateY(-13vh) scale(0.6);
  }
  26.9230769231% {
    transform: translateX(-39vw) translateY(-11vh) scale(0.6);
  }
  30.7692307692% {
    transform: translateX(25vw) translateY(5vh) scale(0.61);
  }
  34.6153846154% {
    transform: translateX(-27vw) translateY(32vh) scale(0.67);
  }
  38.4615384615% {
    transform: translateX(-9vw) translateY(-1vh) scale(0.85);
  }
  42.3076923077% {
    transform: translateX(-11vw) translateY(25vh) scale(0.37);
  }
  46.1538461538% {
    transform: translateX(-26vw) translateY(10vh) scale(0.31);
  }
  50% {
    transform: translateX(8vw) translateY(21vh) scale(0.85);
  }
  53.8461538462% {
    transform: translateX(-41vw) translateY(-33vh) scale(0.86);
  }
  57.6923076923% {
    transform: translateX(28vw) translateY(-30vh) scale(0.7);
  }
  61.5384615385% {
    transform: translateX(-18vw) translateY(6vh) scale(0.49);
  }
  65.3846153846% {
    transform: translateX(39vw) translateY(-47vh) scale(0.83);
  }
  69.2307692308% {
    transform: translateX(-43vw) translateY(-4vh) scale(0.36);
  }
  73.0769230769% {
    transform: translateX(50vw) translateY(-13vh) scale(0.32);
  }
  76.9230769231% {
    transform: translateX(-38vw) translateY(44vh) scale(0.89);
  }
  80.7692307692% {
    transform: translateX(44vw) translateY(-30vh) scale(0.66);
  }
  84.6153846154% {
    transform: translateX(5vw) translateY(-20vh) scale(0.8);
  }
  88.4615384615% {
    transform: translateX(-44vw) translateY(-1vh) scale(0.89);
  }
  92.3076923077% {
    transform: translateX(5vw) translateY(35vh) scale(0.64);
  }
  96.1538461538% {
    transform: translateX(-3vw) translateY(-10vh) scale(0.31);
  }
  100% {
    transform: translateX(-3vw) translateY(-16vh) scale(0.28);
  }
}
.firefly:nth-child(5) {
  animation-name: move5;
}
.firefly:nth-child(5)::before {
  animation-duration: 14s;
}
.firefly:nth-child(5)::after {
  animation-duration: 14s, 7592ms;
  animation-delay: 0ms, 5546ms;
}

@keyframes move5 {
  0% {
    transform: translateX(9vw) translateY(9vh) scale(0.8);
  }
  5.2631578947% {
    transform: translateX(24vw) translateY(-3vh) scale(0.59);
  }
  10.5263157895% {
    transform: translateX(43vw) translateY(29vh) scale(0.51);
  }
  15.7894736842% {
    transform: translateX(28vw) translateY(0vh) scale(0.75);
  }
  21.0526315789% {
    transform: translateX(-47vw) translateY(-43vh) scale(0.34);
  }
  26.3157894737% {
    transform: translateX(-48vw) translateY(-17vh) scale(0.45);
  }
  31.5789473684% {
    transform: translateX(47vw) translateY(9vh) scale(0.68);
  }
  36.8421052632% {
    transform: translateX(-29vw) translateY(-27vh) scale(0.61);
  }
  42.1052631579% {
    transform: translateX(-4vw) translateY(4vh) scale(0.4);
  }
  47.3684210526% {
    transform: translateX(-48vw) translateY(25vh) scale(0.65);
  }
  52.6315789474% {
    transform: translateX(29vw) translateY(-29vh) scale(0.44);
  }
  57.8947368421% {
    transform: translateX(-44vw) translateY(10vh) scale(0.36);
  }
  63.1578947368% {
    transform: translateX(9vw) translateY(48vh) scale(0.38);
  }
  68.4210526316% {
    transform: translateX(41vw) translateY(13vh) scale(0.93);
  }
  73.6842105263% {
    transform: translateX(-31vw) translateY(3vh) scale(0.3);
  }
  78.9473684211% {
    transform: translateX(-35vw) translateY(-35vh) scale(0.92);
  }
  84.2105263158% {
    transform: translateX(-32vw) translateY(-45vh) scale(0.66);
  }
  89.4736842105% {
    transform: translateX(-13vw) translateY(-1vh) scale(0.8);
  }
  94.7368421053% {
    transform: translateX(-4vw) translateY(-46vh) scale(0.62);
  }
  100% {
    transform: translateX(25vw) translateY(41vh) scale(0.92);
  }
}
.firefly:nth-child(6) {
  animation-name: move6;
}
.firefly:nth-child(6)::before {
  animation-duration: 9s;
}
.firefly:nth-child(6)::after {
  animation-duration: 9s, 10878ms;
  animation-delay: 0ms, 7965ms;
}

@keyframes move6 {
  0% {
    transform: translateX(-28vw) translateY(-6vh) scale(0.65);
  }
  4% {
    transform: translateX(-24vw) translateY(-31vh) scale(0.36);
  }
  8% {
    transform: translateX(7vw) translateY(-20vh) scale(0.35);
  }
  12% {
    transform: translateX(-11vw) translateY(-29vh) scale(0.4);
  }
  16% {
    transform: translateX(39vw) translateY(-23vh) scale(0.96);
  }
  20% {
    transform: translateX(-5vw) translateY(-19vh) scale(0.27);
  }
  24% {
    transform: translateX(3vw) translateY(-3vh) scale(0.64);
  }
  28% {
    transform: translateX(38vw) translateY(44vh) scale(0.49);
  }
  32% {
    transform: translateX(45vw) translateY(14vh) scale(0.71);
  }
  36% {
    transform: translateX(-38vw) translateY(-19vh) scale(0.83);
  }
  40% {
    transform: translateX(-49vw) translateY(9vh) scale(0.36);
  }
  44% {
    transform: translateX(24vw) translateY(-29vh) scale(0.7);
  }
  48% {
    transform: translateX(-9vw) translateY(-21vh) scale(0.72);
  }
  52% {
    transform: translateX(-39vw) translateY(-15vh) scale(0.54);
  }
  56% {
    transform: translateX(-21vw) translateY(-28vh) scale(0.58);
  }
  60% {
    transform: translateX(49vw) translateY(45vh) scale(0.74);
  }
  64% {
    transform: translateX(21vw) translateY(23vh) scale(0.55);
  }
  68% {
    transform: translateX(-29vw) translateY(7vh) scale(0.53);
  }
  72% {
    transform: translateX(-7vw) translateY(14vh) scale(0.6);
  }
  76% {
    transform: translateX(38vw) translateY(-5vh) scale(0.91);
  }
  80% {
    transform: translateX(7vw) translateY(-37vh) scale(0.42);
  }
  84% {
    transform: translateX(-8vw) translateY(-27vh) scale(0.26);
  }
  88% {
    transform: translateX(-39vw) translateY(23vh) scale(0.58);
  }
  92% {
    transform: translateX(37vw) translateY(9vh) scale(0.91);
  }
  96% {
    transform: translateX(-2vw) translateY(-43vh) scale(0.55);
  }
  100% {
    transform: translateX(-31vw) translateY(32vh) scale(0.61);
  }
}
.firefly:nth-child(7) {
  animation-name: move7;
}
.firefly:nth-child(7)::before {
  animation-duration: 16s;
}
.firefly:nth-child(7)::after {
  animation-duration: 16s, 8167ms;
  animation-delay: 0ms, 4381ms;
}

@keyframes move7 {
  0% {
    transform: translateX(-25vw) translateY(23vh) scale(0.27);
  }
  3.5714285714% {
    transform: translateX(27vw) translateY(21vh) scale(0.67);
  }
  7.1428571429% {
    transform: translateX(49vw) translateY(-31vh) scale(0.29);
  }
  10.7142857143% {
    transform: translateX(28vw) translateY(-27vh) scale(0.66);
  }
  14.2857142857% {
    transform: translateX(-33vw) translateY(28vh) scale(0.68);
  }
  17.8571428571% {
    transform: translateX(-33vw) translateY(-14vh) scale(0.39);
  }
  21.4285714286% {
    transform: translateX(-25vw) translateY(-3vh) scale(0.94);
  }
  25% {
    transform: translateX(-36vw) translateY(-9vh) scale(0.36);
  }
  28.5714285714% {
    transform: translateX(-44vw) translateY(-13vh) scale(0.6);
  }
  32.1428571429% {
    transform: translateX(12vw) translateY(-29vh) scale(0.79);
  }
  35.7142857143% {
    transform: translateX(45vw) translateY(-34vh) scale(0.59);
  }
  39.2857142857% {
    transform: translateX(-33vw) translateY(42vh) scale(0.59);
  }
  42.8571428571% {
    transform: translateX(32vw) translateY(-27vh) scale(0.76);
  }
  46.4285714286% {
    transform: translateX(25vw) translateY(16vh) scale(0.7);
  }
  50% {
    transform: translateX(-40vw) translateY(47vh) scale(0.69);
  }
  53.5714285714% {
    transform: translateX(-2vw) translateY(-32vh) scale(0.68);
  }
  57.1428571429% {
    transform: translateX(-21vw) translateY(43vh) scale(0.69);
  }
  60.7142857143% {
    transform: translateX(28vw) translateY(-35vh) scale(0.61);
  }
  64.2857142857% {
    transform: translateX(33vw) translateY(43vh) scale(0.55);
  }
  67.8571428571% {
    transform: translateX(-25vw) translateY(8vh) scale(0.87);
  }
  71.4285714286% {
    transform: translateX(40vw) translateY(-31vh) scale(0.49);
  }
  75% {
    transform: translateX(-24vw) translateY(1vh) scale(0.4);
  }
  78.5714285714% {
    transform: translateX(-20vw) translateY(33vh) scale(0.59);
  }
  82.1428571429% {
    transform: translateX(25vw) translateY(-40vh) scale(0.3);
  }
  85.7142857143% {
    transform: translateX(-22vw) translateY(34vh) scale(0.64);
  }
  89.2857142857% {
    transform: translateX(-16vw) translateY(32vh) scale(0.37);
  }
  92.8571428571% {
    transform: translateX(-37vw) translateY(-3vh) scale(0.78);
  }
  96.4285714286% {
    transform: translateX(14vw) translateY(18vh) scale(0.89);
  }
  100% {
    transform: translateX(28vw) translateY(-45vh) scale(0.77);
  }
}
.firefly:nth-child(8) {
  animation-name: move8;
}
.firefly:nth-child(8)::before {
  animation-duration: 15s;
}
.firefly:nth-child(8)::after {
  animation-duration: 15s, 8760ms;
  animation-delay: 0ms, 4665ms;
}

@keyframes move8 {
  0% {
    transform: translateX(-42vw) translateY(6vh) scale(0.33);
  }
  5.2631578947% {
    transform: translateX(17vw) translateY(29vh) scale(0.26);
  }
  10.5263157895% {
    transform: translateX(-43vw) translateY(36vh) scale(0.62);
  }
  15.7894736842% {
    transform: translateX(-33vw) translateY(-39vh) scale(0.37);
  }
  21.0526315789% {
    transform: translateX(-17vw) translateY(-22vh) scale(0.77);
  }
  26.3157894737% {
    transform: translateX(0vw) translateY(-5vh) scale(0.9);
  }
  31.5789473684% {
    transform: translateX(17vw) translateY(42vh) scale(0.83);
  }
  36.8421052632% {
    transform: translateX(50vw) translateY(27vh) scale(0.83);
  }
  42.1052631579% {
    transform: translateX(41vw) translateY(41vh) scale(0.59);
  }
  47.3684210526% {
    transform: translateX(4vw) translateY(31vh) scale(0.47);
  }
  52.6315789474% {
    transform: translateX(15vw) translateY(38vh) scale(0.3);
  }
  57.8947368421% {
    transform: translateX(-8vw) translateY(-19vh) scale(0.92);
  }
  63.1578947368% {
    transform: translateX(-28vw) translateY(-25vh) scale(0.55);
  }
  68.4210526316% {
    transform: translateX(-33vw) translateY(33vh) scale(0.51);
  }
  73.6842105263% {
    transform: translateX(-12vw) translateY(10vh) scale(0.68);
  }
  78.9473684211% {
    transform: translateX(32vw) translateY(15vh) scale(0.41);
  }
  84.2105263158% {
    transform: translateX(-26vw) translateY(-1vh) scale(0.29);
  }
  89.4736842105% {
    transform: translateX(-19vw) translateY(-1vh) scale(1);
  }
  94.7368421053% {
    transform: translateX(-17vw) translateY(-10vh) scale(0.78);
  }
  100% {
    transform: translateX(2vw) translateY(-46vh) scale(0.64);
  }
}
.firefly:nth-child(9) {
  animation-name: move9;
}
.firefly:nth-child(9)::before {
  animation-duration: 16s;
}
.firefly:nth-child(9)::after {
  animation-duration: 16s, 8957ms;
  animation-delay: 0ms, 4917ms;
}

@keyframes move9 {
  0% {
    transform: translateX(-12vw) translateY(32vh) scale(0.52);
  }
  4.5454545455% {
    transform: translateX(-14vw) translateY(-3vh) scale(0.32);
  }
  9.0909090909% {
    transform: translateX(-45vw) translateY(-25vh) scale(0.45);
  }
  13.6363636364% {
    transform: translateX(33vw) translateY(25vh) scale(0.85);
  }
  18.1818181818% {
    transform: translateX(-3vw) translateY(-19vh) scale(0.28);
  }
  22.7272727273% {
    transform: translateX(36vw) translateY(38vh) scale(0.54);
  }
  27.2727272727% {
    transform: translateX(5vw) translateY(-21vh) scale(0.39);
  }
  31.8181818182% {
    transform: translateX(-35vw) translateY(13vh) scale(0.32);
  }
  36.3636363636% {
    transform: translateX(-32vw) translateY(-21vh) scale(0.93);
  }
  40.9090909091% {
    transform: translateX(-1vw) translateY(41vh) scale(0.65);
  }
  45.4545454545% {
    transform: translateX(-7vw) translateY(-12vh) scale(0.39);
  }
  50% {
    transform: translateX(-39vw) translateY(-13vh) scale(0.89);
  }
  54.5454545455% {
    transform: translateX(7vw) translateY(34vh) scale(0.94);
  }
  59.0909090909% {
    transform: translateX(42vw) translateY(7vh) scale(0.6);
  }
  63.6363636364% {
    transform: translateX(48vw) translateY(8vh) scale(0.44);
  }
  68.1818181818% {
    transform: translateX(37vw) translateY(-31vh) scale(0.49);
  }
  72.7272727273% {
    transform: translateX(-7vw) translateY(-31vh) scale(0.61);
  }
  77.2727272727% {
    transform: translateX(-14vw) translateY(-19vh) scale(0.45);
  }
  81.8181818182% {
    transform: translateX(-5vw) translateY(-35vh) scale(0.77);
  }
  86.3636363636% {
    transform: translateX(-43vw) translateY(-8vh) scale(0.66);
  }
  90.9090909091% {
    transform: translateX(-22vw) translateY(-41vh) scale(0.86);
  }
  95.4545454545% {
    transform: translateX(-2vw) translateY(-14vh) scale(0.99);
  }
  100% {
    transform: translateX(1vw) translateY(-1vh) scale(0.68);
  }
}
.firefly:nth-child(10) {
  animation-name: move10;
}
.firefly:nth-child(10)::before {
  animation-duration: 9s;
}
.firefly:nth-child(10)::after {
  animation-duration: 9s, 10028ms;
  animation-delay: 0ms, 5937ms;
}

@keyframes move10 {
  0% {
    transform: translateX(50vw) translateY(-34vh) scale(0.67);
  }
  5.5555555556% {
    transform: translateX(-42vw) translateY(11vh) scale(0.77);
  }
  11.1111111111% {
    transform: translateX(-27vw) translateY(19vh) scale(0.44);
  }
  16.6666666667% {
    transform: translateX(31vw) translateY(27vh) scale(0.83);
  }
  22.2222222222% {
    transform: translateX(-20vw) translateY(39vh) scale(0.73);
  }
  27.7777777778% {
    transform: translateX(-15vw) translateY(-17vh) scale(0.82);
  }
  33.3333333333% {
    transform: translateX(12vw) translateY(-23vh) scale(0.97);
  }
  38.8888888889% {
    transform: translateX(9vw) translateY(24vh) scale(0.91);
  }
  44.4444444444% {
    transform: translateX(30vw) translateY(32vh) scale(1);
  }
  50% {
    transform: translateX(-33vw) translateY(-40vh) scale(0.58);
  }
  55.5555555556% {
    transform: translateX(13vw) translateY(22vh) scale(0.51);
  }
  61.1111111111% {
    transform: translateX(46vw) translateY(31vh) scale(0.8);
  }
  66.6666666667% {
    transform: translateX(10vw) translateY(-21vh) scale(0.75);
  }
  72.2222222222% {
    transform: translateX(-33vw) translateY(-32vh) scale(0.31);
  }
  77.7777777778% {
    transform: translateX(0vw) translateY(23vh) scale(0.65);
  }
  83.3333333333% {
    transform: translateX(22vw) translateY(-9vh) scale(0.34);
  }
  88.8888888889% {
    transform: translateX(39vw) translateY(-3vh) scale(0.29);
  }
  94.4444444444% {
    transform: translateX(-43vw) translateY(18vh) scale(0.89);
  }
  100% {
    transform: translateX(28vw) translateY(-16vh) scale(0.99);
  }
}
.firefly:nth-child(11) {
  animation-name: move11;
}
.firefly:nth-child(11)::before {
  animation-duration: 17s;
}
.firefly:nth-child(11)::after {
  animation-duration: 17s, 7727ms;
  animation-delay: 0ms, 7025ms;
}

@keyframes move11 {
  0% {
    transform: translateX(22vw) translateY(-7vh) scale(0.31);
  }
  3.5714285714% {
    transform: translateX(22vw) translateY(-5vh) scale(0.93);
  }
  7.1428571429% {
    transform: translateX(-29vw) translateY(48vh) scale(0.26);
  }
  10.7142857143% {
    transform: translateX(-38vw) translateY(42vh) scale(0.92);
  }
  14.2857142857% {
    transform: translateX(47vw) translateY(34vh) scale(0.7);
  }
  17.8571428571% {
    transform: translateX(-43vw) translateY(10vh) scale(0.75);
  }
  21.4285714286% {
    transform: translateX(13vw) translateY(-35vh) scale(0.94);
  }
  25% {
    transform: translateX(10vw) translateY(12vh) scale(0.87);
  }
  28.5714285714% {
    transform: translateX(7vw) translateY(-20vh) scale(0.89);
  }
  32.1428571429% {
    transform: translateX(48vw) translateY(9vh) scale(0.46);
  }
  35.7142857143% {
    transform: translateX(-35vw) translateY(27vh) scale(0.98);
  }
  39.2857142857% {
    transform: translateX(-46vw) translateY(12vh) scale(0.46);
  }
  42.8571428571% {
    transform: translateX(5vw) translateY(22vh) scale(0.72);
  }
  46.4285714286% {
    transform: translateX(35vw) translateY(23vh) scale(0.75);
  }
  50% {
    transform: translateX(-47vw) translateY(47vh) scale(0.96);
  }
  53.5714285714% {
    transform: translateX(45vw) translateY(-31vh) scale(0.9);
  }
  57.1428571429% {
    transform: translateX(-39vw) translateY(8vh) scale(0.71);
  }
  60.7142857143% {
    transform: translateX(18vw) translateY(-16vh) scale(0.95);
  }
  64.2857142857% {
    transform: translateX(-11vw) translateY(-32vh) scale(0.7);
  }
  67.8571428571% {
    transform: translateX(31vw) translateY(-47vh) scale(0.27);
  }
  71.4285714286% {
    transform: translateX(14vw) translateY(23vh) scale(0.49);
  }
  75% {
    transform: translateX(14vw) translateY(14vh) scale(0.6);
  }
  78.5714285714% {
    transform: translateX(48vw) translateY(34vh) scale(0.72);
  }
  82.1428571429% {
    transform: translateX(-26vw) translateY(14vh) scale(0.37);
  }
  85.7142857143% {
    transform: translateX(-13vw) translateY(50vh) scale(0.73);
  }
  89.2857142857% {
    transform: translateX(42vw) translateY(9vh) scale(0.71);
  }
  92.8571428571% {
    transform: translateX(-37vw) translateY(-39vh) scale(0.26);
  }
  96.4285714286% {
    transform: translateX(48vw) translateY(-22vh) scale(0.32);
  }
  100% {
    transform: translateX(3vw) translateY(-24vh) scale(0.63);
  }
}
.firefly:nth-child(12) {
  animation-name: move12;
}
.firefly:nth-child(12)::before {
  animation-duration: 17s;
}
.firefly:nth-child(12)::after {
  animation-duration: 17s, 10238ms;
  animation-delay: 0ms, 7648ms;
}

@keyframes move12 {
  0% {
    transform: translateX(25vw) translateY(49vh) scale(0.81);
  }
  4.1666666667% {
    transform: translateX(3vw) translateY(-38vh) scale(0.42);
  }
  8.3333333333% {
    transform: translateX(27vw) translateY(-24vh) scale(0.86);
  }
  12.5% {
    transform: translateX(-2vw) translateY(29vh) scale(0.33);
  }
  16.6666666667% {
    transform: translateX(-40vw) translateY(34vh) scale(0.55);
  }
  20.8333333333% {
    transform: translateX(-36vw) translateY(30vh) scale(0.26);
  }
  25% {
    transform: translateX(-35vw) translateY(-47vh) scale(1);
  }
  29.1666666667% {
    transform: translateX(-40vw) translateY(17vh) scale(0.97);
  }
  33.3333333333% {
    transform: translateX(30vw) translateY(39vh) scale(0.6);
  }
  37.5% {
    transform: translateX(-46vw) translateY(-29vh) scale(0.73);
  }
  41.6666666667% {
    transform: translateX(-17vw) translateY(-6vh) scale(0.37);
  }
  45.8333333333% {
    transform: translateX(-37vw) translateY(-31vh) scale(0.93);
  }
  50% {
    transform: translateX(-40vw) translateY(-5vh) scale(0.97);
  }
  54.1666666667% {
    transform: translateX(13vw) translateY(-1vh) scale(0.4);
  }
  58.3333333333% {
    transform: translateX(-19vw) translateY(-38vh) scale(0.82);
  }
  62.5% {
    transform: translateX(2vw) translateY(-28vh) scale(0.66);
  }
  66.6666666667% {
    transform: translateX(-24vw) translateY(-43vh) scale(0.72);
  }
  70.8333333333% {
    transform: translateX(48vw) translateY(7vh) scale(0.94);
  }
  75% {
    transform: translateX(21vw) translateY(-37vh) scale(0.85);
  }
  79.1666666667% {
    transform: translateX(-4vw) translateY(28vh) scale(0.32);
  }
  83.3333333333% {
    transform: translateX(-19vw) translateY(5vh) scale(0.99);
  }
  87.5% {
    transform: translateX(15vw) translateY(-12vh) scale(0.79);
  }
  91.6666666667% {
    transform: translateX(14vw) translateY(-33vh) scale(0.36);
  }
  95.8333333333% {
    transform: translateX(5vw) translateY(-14vh) scale(0.88);
  }
  100% {
    transform: translateX(46vw) translateY(-48vh) scale(0.88);
  }
}
.firefly:nth-child(13) {
  animation-name: move13;
}
.firefly:nth-child(13)::before {
  animation-duration: 17s;
}
.firefly:nth-child(13)::after {
  animation-duration: 17s, 10530ms;
  animation-delay: 0ms, 5814ms;
}

@keyframes move13 {
  0% {
    transform: translateX(40vw) translateY(-38vh) scale(0.91);
  }
  3.8461538462% {
    transform: translateX(-13vw) translateY(-8vh) scale(0.46);
  }
  7.6923076923% {
    transform: translateX(45vw) translateY(-4vh) scale(0.52);
  }
  11.5384615385% {
    transform: translateX(-15vw) translateY(39vh) scale(0.29);
  }
  15.3846153846% {
    transform: translateX(7vw) translateY(-15vh) scale(0.33);
  }
  19.2307692308% {
    transform: translateX(-3vw) translateY(17vh) scale(0.31);
  }
  23.0769230769% {
    transform: translateX(0vw) translateY(3vh) scale(0.68);
  }
  26.9230769231% {
    transform: translateX(25vw) translateY(-16vh) scale(0.42);
  }
  30.7692307692% {
    transform: translateX(-30vw) translateY(14vh) scale(0.68);
  }
  34.6153846154% {
    transform: translateX(15vw) translateY(-28vh) scale(0.36);
  }
  38.4615384615% {
    transform: translateX(48vw) translateY(-5vh) scale(0.64);
  }
  42.3076923077% {
    transform: translateX(-20vw) translateY(-5vh) scale(0.58);
  }
  46.1538461538% {
    transform: translateX(-28vw) translateY(12vh) scale(0.37);
  }
  50% {
    transform: translateX(-23vw) translateY(43vh) scale(0.33);
  }
  53.8461538462% {
    transform: translateX(25vw) translateY(-1vh) scale(0.96);
  }
  57.6923076923% {
    transform: translateX(19vw) translateY(39vh) scale(0.46);
  }
  61.5384615385% {
    transform: translateX(-3vw) translateY(48vh) scale(0.28);
  }
  65.3846153846% {
    transform: translateX(8vw) translateY(-26vh) scale(0.91);
  }
  69.2307692308% {
    transform: translateX(45vw) translateY(-2vh) scale(0.41);
  }
  73.0769230769% {
    transform: translateX(14vw) translateY(50vh) scale(0.78);
  }
  76.9230769231% {
    transform: translateX(-32vw) translateY(-18vh) scale(0.64);
  }
  80.7692307692% {
    transform: translateX(48vw) translateY(-20vh) scale(0.75);
  }
  84.6153846154% {
    transform: translateX(13vw) translateY(23vh) scale(0.65);
  }
  88.4615384615% {
    transform: translateX(17vw) translateY(36vh) scale(0.37);
  }
  92.3076923077% {
    transform: translateX(-30vw) translateY(38vh) scale(0.64);
  }
  96.1538461538% {
    transform: translateX(45vw) translateY(-28vh) scale(0.59);
  }
  100% {
    transform: translateX(-35vw) translateY(17vh) scale(0.81);
  }
}
.firefly:nth-child(14) {
  animation-name: move14;
}
.firefly:nth-child(14)::before {
  animation-duration: 18s;
}
.firefly:nth-child(14)::after {
  animation-duration: 18s, 5647ms;
  animation-delay: 0ms, 8072ms;
}

@keyframes move14 {
  0% {
    transform: translateX(7vw) translateY(-3vh) scale(0.87);
  }
  3.7037037037% {
    transform: translateX(20vw) translateY(49vh) scale(0.46);
  }
  7.4074074074% {
    transform: translateX(21vw) translateY(20vh) scale(0.84);
  }
  11.1111111111% {
    transform: translateX(19vw) translateY(-15vh) scale(0.82);
  }
  14.8148148148% {
    transform: translateX(0vw) translateY(-48vh) scale(0.83);
  }
  18.5185185185% {
    transform: translateX(-28vw) translateY(1vh) scale(0.33);
  }
  22.2222222222% {
    transform: translateX(3vw) translateY(50vh) scale(0.61);
  }
  25.9259259259% {
    transform: translateX(-10vw) translateY(27vh) scale(0.31);
  }
  29.6296296296% {
    transform: translateX(1vw) translateY(37vh) scale(0.94);
  }
  33.3333333333% {
    transform: translateX(8vw) translateY(-26vh) scale(0.7);
  }
  37.037037037% {
    transform: translateX(11vw) translateY(-34vh) scale(0.48);
  }
  40.7407407407% {
    transform: translateX(25vw) translateY(37vh) scale(0.93);
  }
  44.4444444444% {
    transform: translateX(-15vw) translateY(-11vh) scale(0.48);
  }
  48.1481481481% {
    transform: translateX(-38vw) translateY(48vh) scale(0.47);
  }
  51.8518518519% {
    transform: translateX(-21vw) translateY(-20vh) scale(0.48);
  }
  55.5555555556% {
    transform: translateX(-49vw) translateY(23vh) scale(0.44);
  }
  59.2592592593% {
    transform: translateX(-8vw) translateY(-46vh) scale(0.48);
  }
  62.962962963% {
    transform: translateX(48vw) translateY(3vh) scale(0.71);
  }
  66.6666666667% {
    transform: translateX(-17vw) translateY(-48vh) scale(0.64);
  }
  70.3703703704% {
    transform: translateX(-31vw) translateY(-24vh) scale(0.99);
  }
  74.0740740741% {
    transform: translateX(-42vw) translateY(-29vh) scale(0.76);
  }
  77.7777777778% {
    transform: translateX(32vw) translateY(9vh) scale(0.85);
  }
  81.4814814815% {
    transform: translateX(-15vw) translateY(-35vh) scale(0.99);
  }
  85.1851851852% {
    transform: translateX(-14vw) translateY(-14vh) scale(0.8);
  }
  88.8888888889% {
    transform: translateX(28vw) translateY(37vh) scale(0.63);
  }
  92.5925925926% {
    transform: translateX(45vw) translateY(-48vh) scale(0.56);
  }
  96.2962962963% {
    transform: translateX(-39vw) translateY(-40vh) scale(0.56);
  }
  100% {
    transform: translateX(33vw) translateY(-30vh) scale(0.6);
  }
}
.firefly:nth-child(15) {
  animation-name: move15;
}
.firefly:nth-child(15)::before {
  animation-duration: 10s;
}
.firefly:nth-child(15)::after {
  animation-duration: 10s, 9863ms;
  animation-delay: 0ms, 2153ms;
}

@keyframes move15 {
  0% {
    transform: translateX(36vw) translateY(-20vh) scale(0.4);
  }
  4.1666666667% {
    transform: translateX(-40vw) translateY(35vh) scale(0.82);
  }
  8.3333333333% {
    transform: translateX(17vw) translateY(18vh) scale(0.54);
  }
  12.5% {
    transform: translateX(-39vw) translateY(-24vh) scale(0.81);
  }
  16.6666666667% {
    transform: translateX(-44vw) translateY(-12vh) scale(0.81);
  }
  20.8333333333% {
    transform: translateX(-25vw) translateY(-31vh) scale(0.42);
  }
  25% {
    transform: translateX(-43vw) translateY(16vh) scale(0.58);
  }
  29.1666666667% {
    transform: translateX(49vw) translateY(18vh) scale(0.64);
  }
  33.3333333333% {
    transform: translateX(-14vw) translateY(-35vh) scale(0.31);
  }
  37.5% {
    transform: translateX(4vw) translateY(46vh) scale(0.75);
  }
  41.6666666667% {
    transform: translateX(-3vw) translateY(-37vh) scale(0.91);
  }
  45.8333333333% {
    transform: translateX(-6vw) translateY(21vh) scale(0.44);
  }
  50% {
    transform: translateX(-19vw) translateY(-27vh) scale(0.83);
  }
  54.1666666667% {
    transform: translateX(-7vw) translateY(-37vh) scale(0.35);
  }
  58.3333333333% {
    transform: translateX(32vw) translateY(-37vh) scale(0.42);
  }
  62.5% {
    transform: translateX(21vw) translateY(15vh) scale(0.41);
  }
  66.6666666667% {
    transform: translateX(22vw) translateY(-4vh) scale(0.4);
  }
  70.8333333333% {
    transform: translateX(-12vw) translateY(-45vh) scale(0.61);
  }
  75% {
    transform: translateX(32vw) translateY(-47vh) scale(0.4);
  }
  79.1666666667% {
    transform: translateX(-44vw) translateY(-47vh) scale(0.95);
  }
  83.3333333333% {
    transform: translateX(-25vw) translateY(43vh) scale(0.64);
  }
  87.5% {
    transform: translateX(-27vw) translateY(-44vh) scale(0.29);
  }
  91.6666666667% {
    transform: translateX(7vw) translateY(-3vh) scale(0.84);
  }
  95.8333333333% {
    transform: translateX(32vw) translateY(3vh) scale(0.83);
  }
  100% {
    transform: translateX(38vw) translateY(28vh) scale(0.79);
  }
}
@keyframes drift {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes flash {
  0%, 30%, 100% {
    opacity: 0;
    box-shadow: 0 0 0vw 0vw yellow;
  }
  5% {
    opacity: 1;
    box-shadow: 0 0 2vw 0.4vw yellow;
  }
}